## net.sf.saxon.expr.instruct
Class TraceInstruction

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.expr.instruct.Instruction
              net.sf.saxon.expr.instruct.TraceWrapper
                  net.sf.saxon.expr.instruct.TraceInstruction

All Implemented Interfaces:
  Serializable, SourceLocator, LocationProvider, SaxonLocator, EvaluableItem, TailCallReturner, SequenceIterable, InstructionInfo, Locator

    public class TraceInstruction

extends TraceWrapper

A run-time instruction which wraps a real instruction and traces its entry and exit to the TraceListener

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.expr.Expression
`EVALUATE_METHOD, EVENT_FEED_METHOD, ITEM_FEED_METHOD, ITERATE_METHOD, locationId, PROCESS_METHOD, PUSH_SELECTION, staticProperties, WATCH_METHOD`

Constructor Summary
`TraceInstruction(Expression child, InstructionInfo details)` Create a Trace instruction

Method Summary
`Expression` `copy()` Copy an expression.
`InstructionInfo` `getInstructionInfo()` Get the instruction details

Methods inherited from class net.sf.saxon.expr.instruct.TraceWrapper
`checkForUpdatingSubexpressions, computeDependencies, createsNewNodes, evaluateItem, evaluatePendingUpdates, explain, getCardinality, getDependencies, getImplementationMethod, getInstructionNameCode, getItemType, isUpdatingExpression, isVacuousExpression, iterate, iterateSubExpressions, optimize, processLeavingTail, promote, replaceSubExpression, simplify, typeCheck`

Methods inherited from class net.sf.saxon.expr.instruct.Instruction
`assembleParams, assembleTunnelParams, computeCardinality, computeSpecialProperties, dynamicError, evaluateAsString, getConstructType, getExpressionName, getInstructionName, getIteratorFromProcessMethod, getSourceLocator, isXSLT, process, promoteInst`

Methods inherited from class net.sf.saxon.expr.Expression

`addToPathMap, adoptChildExpression, checkPermittedContents, computeStaticProperties, doPromotion, dynamicError, effectiveBooleanValue, explain, getColumnNumber, getColumnNumber, getContainer, getEvaluationMethod, getExecutable, getHostLanguage, getIntrinsicDependencies, getLineNumber, getLineNumber, getLocationId, getLocationProvider, getObjectName, getProperties, getProperty, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, getSystemId, hasLoopingSubexpression, implementsStaticTypeCheck, isSubtreeExpression, iterateEvents, iterateSameFocusSubExpressions, markTailFunctionCalls, resetLocalStaticProperties, setContainer, setEvaluationMethod, setFiltered, setFlattened, setLocationId, staticTypeCheck, suppressValidation, toString, typeError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.transform.SourceLocator
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Constructor Detail

### TraceInstruction

    public TraceInstruction(Expression child,
                            InstructionInfo details)

  Create a Trace instruction

  Parameters:
    `child` - the child instruction to be evaluated
    `details` - the details to be output. This will usually relate to a function or template header.

Method Detail

### getInstructionInfo

    public InstructionInfo getInstructionInfo()

  Get the instruction details

  Overrides:
    `getInstructionInfo` in class `TraceWrapper`
  Returns:
    the details of the child instruction (the instruction being traced)

### copy

    public Expression copy()

  Description copied from class: `TraceWrapper`
  Copy an expression. This makes a deep copy.

  Overrides:
    `copy` in class `TraceWrapper`
  Returns:
    the copy of the original expression

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.